goalInvestigateNoise.mSteps =
{
	{ action = "click", object = objectBedroomRadio },
}
-- ----------------------------------------------------------------------------
function goalInvestigateNoise:onStarted()
    
    objectLivingroomBedroomdoorOpenLit:ss(kActive)
    layoutLivingroom:flickerRadioLight()
    
    objectBedroomRadioGlow:ss(kActive)
    layoutBedroom:flickerRadioLight()
    
    objectBedroomRadio:ss(kActive)
    
    -- Added for CFLEG-227.  Activate the radio static sound
    if (layoutBedroom ~= nil) then
		layoutBedroom:checkRadioStatic("soft")
	end
    
end
-- ----------------------------------------------------------------------------
function goalInvestigateNoise:onLayoutShow(layout)

	if (layout == layoutBedroomRadio) then
		self:achieved()
	end

end